import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

const makeFruit = type => ({ type });
const fruits = range(5).map(() => makeFruit('apple'));


const render = () => {
  fruitBowl(svg, {
    fruits,
    height
  });
}
render();


// Transformations
setTimeout(() => {
  fruits.pop();
  render();
}, 1000);

setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000);
